Delete drilling parameter entities by ids

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body

Entity ids to delete by

Array of strings
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/delete-by-ids \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    "string"
  ]'

Responses

OK

Body
deleted_countinteger, (int64)
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "deleted_count": 0,
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}